JOBNAME = filter

FDIR = /home/lac1/hcgl/tese/texto/tese/figures

MACROS = \
  ps-box-macros.tex \
  caption-box-macros.tex \
  tec-rep-macros.tex
 
NEWTEX = \
  TEXINPUTS=".:${STOLFIHOME}/tex/inputs::"; export TEXINPUTS

all: $(JOBNAME).dvi $(JOBNAME).ps

clean: ;\
  /bin/rm -f $(JOBNAME).dvi $(JOBNAME).ps $(JOBNAME).aux *.log 

$(JOBNAME).dvi: $(JOBNAME).tex $(MACROS) ;\
  /bin/rm -f $(JOBNAME).aux ;\
  latex $(JOBNAME).tex &&\
  bibtex $(JOBNAME) &&\
  /bin/rm $(JOBNAME).dvi &&\
  latex $(JOBNAME).tex
  
$(JOBNAME).ps: $(JOBNAME).dvi ;\
  $(NEWTEX); dvips -o $(JOBNAME).ps -D600 $(JOBNAME) &&\
  { ghostview $(JOBNAME).ps; }
  
