# Last edited on 2003-10-30 00:43:38 by stolfi 

JOBNAME = reltec
EXT     = tex
SIZE    = letter

FDIR = figures

MACROS = \
  ps-box-macros.tex \
  caption-box-macros.tex \
  filter-macros.tex \
  rel-tec-ic.sty
 
NEWTEX = \
  TEXINPUTS=".:${STOLFIHOME}/tex/inputs::"; export TEXINPUTS

all: ${JOBNAME}.dvi ${JOBNAME}.ps

clean: ;\
  /bin/rm -f ${JOBNAME}.dvi ${JOBNAME}.ps ${JOBNAME}.aux *.log 

${JOBNAME}.dvi: ${JOBNAME}.${EXT} ${MACROS} ;\
  /bin/rm -f ${JOBNAME}.aux ;\
  ${NEWTEX}; \
  latex ${JOBNAME}.${EXT} &&\
  bibtex ${JOBNAME} &&\
  /bin/rm ${JOBNAME}.dvi &&\
  latex ${JOBNAME}.${EXT}
  
${JOBNAME}.ps: ${JOBNAME}.dvi ;\
  ${NEWTEX}; dvips -t ${SIZE} -o ${JOBNAME}.ps -D600 ${JOBNAME} &&\
  ghostview ${JOBNAME}.ps
  
